Subject: Please revert commit dc9372808412edbc653a675a526c2ee6c0c14a91

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 23 Nov 2011 09:11:50 +1100

Hi Linus !

Please, revert commit dc9372808412edbc653a675a526c2ee6c0c14a91

"of/irq: of_irq_find_parent: check for parent equal to child"

This breaks some powerpc platforms at least. The practice of having a
node provide an explicit "interrupt-parent" property pointing to itself
is an old trick that we've used in the past to allow a device-node to
have interrupts routed to different controllers.

In that case, the node also contains an interrupt-map, so the node is
its own parent, the interrupt resolution hits the map, which then can
route each individual interrupt to a different parent.

Cheers,
Ben.